macro(enable_color_messages)
    if (${CMAKE_HOST_SYSTEM_NAME} STREQUAL Windows)
        set(BOLD [9)
    else ()
        set(BOLD [1;3)
    endif ()
    string(ASCII 27 ESC)
    set(NO_COLOR "${ESC}[0m")
    set(FONT_BOLD "${ESC}[1m")
    set(RED "${ESC}[31m")
    set(Green "${ESC}[32m")
    set(YELLOW "${ESC}[33m")
    set(BLUE "${ESC}[34m")
    set(MAGENTA "${ESC}[35m")
    set(CYAN "${ESC}[36m")
    set(WHITE "${ESC}[37m")
    set(BOLD_RED "${ESC}${BOLD}1m")
    set(BOLD_GREEN "${ESC}${BOLD}2m")
    set(BOLD_YELLOW "${ESC}${BOLD}3m")
    set(BOLD_BLUE "${ESC}${BOLD}4m")
    set(BOLD_MAGENTA "${ESC}${BOLD}5m")
    set(BOLD_CYAN "${ESC}${BOLD}6m")
    set(BOLD_WHITE "${ESC}${BOLD}7m")
endmacro(enable_color_messages)
